declare @BackupDirectory nvarchar(512)
if 1=isnull(cast(SERVERPROPERTY('IsLocalDB') as bit), 0)
    select @BackupDirectory=cast(SERVERPROPERTY('instancedefaultdatapath') as nvarchar(512))
else
    exec master.dbo.xp_instance_regread N'HKEY_LOCAL_MACHINE', N'Software\Microsoft\MSSQLServer\MSSQLServer', N'BackupDirectory', @BackupDirectory OUTPUT

DECLARE @DBName NVARCHAR(128)
DECLARE @SQLCMD NVARCHAR(4000)
DECLARE @DateStamp NVARCHAR(16)
DECLARE @RecoveryModel INT

SET @DateStamp = RIGHT('0' + CAST(DATEPART(MM, GETDATE()) AS varchar(2)), 2) 
	+ RIGHT('0' + CAST(DATEPART(DD, GETDATE()) AS varchar(2)), 2)
	+ CAST(DATEPART(YY, GETDATE()) AS varchar(4))
	+ '_' 
	+ RIGHT('0' + CAST(DATEPART(HH, GETDATE()) AS varchar(2)), 2)
	+ RIGHT('0' + CAST(DATEPART(MI, GETDATE()) AS varchar(2)), 2)
	+ RIGHT('0' + CAST(DATEPART(SS, GETDATE()) AS varchar(2)), 2)

DECLARE DBList CURSOR FOR SELECT name, recovery_model FROM sys.databases WHERE state = 0 AND name NOT IN ('master','model','msdb','tempdb') AND name NOT LIKE 'ReportServer%' ORDER BY name
OPEN DBList
FETCH NEXT FROM DBList INTO @DBName, @RecoveryModel
WHILE @@FETCH_STATUS = 0
BEGIN
	
	IF @RecoveryModel = 3
	BEGIN
		PRINT 'Switching Database "' + @DBName + '" To Full Recovery Model'
		SET @SQLCMD = 'ALTER DATABASE [' + @DBName + '] SET RECOVERY FULL'
		EXEC sys.sp_executesql @SQLCMD
	END

	PRINT 'Taking Full Backup of Database "' + @DBName + '"'
	SET @SQLCMD = 'BACKUP DATABASE [' + @DBName + '] TO DISK = ''' + @BackupDirectory + '\' + @DBName + '_' + @DateStamp + '_full.bak'' WITH COMPRESSION, CHECKSUM, STATS = 1'
	EXEC sys.sp_executesql @SQLCMD

	PRINT 'Taking Full Backup of Log "' + @DBName + '"'
	SET @SQLCMD = 'BACKUP LOG [' + @DBName + '] TO DISK = ''' + @BackupDirectory + '\' + @DBName + '_' + @DateStamp + '_log.bak'' WITH COMPRESSION, CHECKSUM, STATS = 1'
	EXEC sys.sp_executesql @SQLCMD


	FETCH NEXT FROM DBList INTO @DBName, @RecoveryModel
END
CLOSE DBList
DEALLOCATE DBList