﻿param
(
    [String]$DomainName,

    [String]$DomainNetbiosName,

    [String]$Credential,

    [String]$OrganizationName

)

$WAPCredential = New-Object System.Management.Automation.PSCredential ($($Credential.split(":")[0]), $(ConvertTo-SecureString -String $Credential.split(":")[1] -AsPlainText -Force))
$PSBoundParameters.Credential = $WAPCredential

#region Get ConfigName and Create Folder

$ConfigName = (get-childitem ".\Config\Config-*.ps1").name.replace('.ps1','').split('-')[1]
$PayloadDestination = "C:\WAP\$ConfigName"

if (!(Test-Path $PayloadDestination)) {New-Item $PayloadDestination -ItemType Directory}

#endregion

#region Copy and ExecuteConfig

$ConfigPath = "{0}\Config" -f $PayloadDestination

xcopy.exe .\Config $ConfigPath /s /y /i

&"$ConfigPath\Config-$ConfigName.ps1" @PSBoundParameters

#endregion