Configuration ConfigureAutoMountPointsManual
{
    Import-DscResource -Module xExchange

    Node $AllNodes.NodeName
    {
        #Used when passing credentials securely. This configures the thumbprint of the cert that will be used to decrypt the creds
        LocalConfigurationManager
        {
            CertificateId = $Node.Thumbprint
        }
        
        #Create all Exchange mount points on the server
        xExchAutoMountPoint AMP
        {
            Identity                       = $Node.NodeName
            AutoDagDatabasesRootFolderPath = 'C:\ExchangeDatabases'
            AutoDagVolumesRootFolderPath   = 'C:\ExchangeVolumes'
            DiskToDBMap                    = 'DB1,DB2','DB3,DB4','DB5,DB6' #This example puts DB1 and DB2 on one disk, DB3 and DB4 on another, and DB5 and DB6 on another
            SpareVolumeCount               = 1 #One spare disk will be used in addition to the three described above
            VolumePrefix                   = 'EXVOL'
        }
    }
}

###Compiles the example
ConfigureAutoMountPointsManual -ConfigurationData $PSScriptRoot\ConfigureAutoMountPoints-Manual-Config.psd1

###Sets up LCM on specified computer to decrypt credentials (if passing creds securely)
#Set-DscLocalConfigurationManager -Path .\ConfigureAutoMountPointsManual -Verbose -ComputerName "E15-1"

###Pushes configuration to specified computer
#Start-DscConfiguration -Verbose -Wait -Path .\ConfigureAutoMountPointsManual -ComputerName "E15-1"