﻿Configuration Test
{
    Import-DscResource -Module xRobWi
    
    Node $AllNodes.NodeName
    {
        LocalConfigurationManager
        {
            DebugMode = $true
        }
    }

    Node $AllNodes.Where{$_.Role -eq "Test"}.NodeName
    {
        xRobWi Test
        {
            Test = "Test"
            Credential = $Node.InstallerServiceAccount
        }
    }
}

$SecurePassword = ConvertTo-SecureString -String "Pass@word1" -AsPlainText -Force
$InstallerServiceAccount = New-Object System.Management.Automation.PSCredential ("CONTOSO\!Installer", $SecurePassword)

$ConfigurationData = @{
    AllNodes = @(
        @{
            NodeName = "*"
            PSDscAllowPlainTextPassword = $true

            InstallerServiceAccount = $InstallerServiceAccount

            SQLServer2012ProductKey = "748RB-X4T6B-MRM7V-RTVFF-CHC8H"
            SystemCenter2012ProductKey = "BXH69-M62YX-QQD6R-3GPWX-8WMFY"

            SourcePath = "\\RD01\Installer"

            RegisteredUser = "Microsoft Corporation"
            RegisteredOrganization = "Microsoft Corporation"
        }
        @{
            NodeName = "RD01.contoso.com"
            Role = "Test"
        }
    )
}

Test -ConfigurationData $ConfigurationData
Set-DscLocalConfigurationManager -Path .\Test -Verbose
Start-DscConfiguration -Path .\Test -Verbose -Wait